% template for an example experiment using qAF
clc;clear;close all;

% step 1, configure the experiment parameters
configpar = exp_config_roex(5, 50, 2000);

% step 2, create a qAF object
qaf = qAF(configpar);

% step 3, create an experimental loop (one trial per loop), and update
% signal level using the update method.
N = 80;		% total number of trials to run
for i = 1:N
    
    %------------------------------------
    % For an actual psychophysical experiment, a user-defined function is
    % needed here, in the format of:
    %
    % r = UserFunction(qaf.xnext);
    %
    % It takes the stimulus parameter as the input argument and returns,
    % presents the stimulus, obtains the response, and return the response
    % correctness as the output argument.
    %------------------------------------

    % update the model parameters
    qaf.update(r);

end